//----------------------------------------------------------------------------
#ifndef BrightH
#define BrightH
//----------------------------------------------------------------------------
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Graphics.hpp>
#include <vcl\Classes.hpp>
#include <vcl\SysUtils.hpp>
#include <vcl\Windows.hpp>
#include <vcl\System.hpp>
#include <ComCtrls.hpp>
//----------------------------------------------------------------------------
struct ChannelInfo {
        float k;
        int b;
        int Brightness;
        int Contrast;
};
class TBrightDlg : public TForm
{
__published:
	TButton *OKBtn;
	TButton *CancelBtn;
	TBevel *Bevel1;
        TRadioGroup *Channels;
        TLabel *Label1;
        TShape *Shape;
        TLabel *Label2;
        TTrackBar *BrightTrack;
        TLabel *Label3;
        TTrackBar *ContTrack;
        TEdit *BrightEdit;
        TEdit *ContEdit;
        void __fastcall FormShow(TObject *Sender);
        void __fastcall BrightTrackChange(TObject *Sender);
        void __fastcall ContTrackChange(TObject *Sender);
        void __fastcall BrightEditChange(TObject *Sender);
        void __fastcall ContEditChange(TObject *Sender);
        void __fastcall ChannelsClick(TObject *Sender);
        void __fastcall FormPaint(TObject *Sender);
        void __fastcall DrawGraph();
        void __fastcall UpdateRGB();
private:
public:
        ChannelInfo channels[4];
        int channel;
	virtual __fastcall TBrightDlg(TComponent* AOwner);
};
//----------------------------------------------------------------------------
extern PACKAGE TBrightDlg *BrightDlg;
//----------------------------------------------------------------------------
#endif
