//----------------------------------------------------------------------------
#ifndef FilterH
#define FilterH
//----------------------------------------------------------------------------
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Graphics.hpp>
#include <vcl\Classes.hpp>
#include <vcl\SysUtils.hpp>
#include <vcl\Windows.hpp>
#include <vcl\System.hpp>
#include <Grids.hpp>
//----------------------------------------------------------------------------
class TFilterDlg : public TForm
{
__published:
	TButton *OKBtn;
	TButton *CancelBtn;
	TBevel *Bevel1;
        TLabel *Label1;
        TButton *Normalize;
        TRadioGroup *FilterSize;
        TStringGrid *Coef;
        TRadioGroup *FilterType;
        void __fastcall FilterSizeClick(TObject *Sender);
        void __fastcall FilterTypeClick(TObject *Sender);
        void __fastcall UpdateCells();
        void __fastcall SetIdentityFilter();
        void __fastcall SetBlurFilter();
        void __fastcall FormShow(TObject *Sender);
        void __fastcall NormalizeClick(TObject *Sender);
        void __fastcall CoefSetEditText(TObject *Sender, int ACol,
          int ARow, const AnsiString Value);
        void __fastcall CoefKeyPress(TObject *Sender, char &Key);
private:
public:
        float C[7][7];
        int Size;
	virtual __fastcall TFilterDlg(TComponent* AOwner);
};
//----------------------------------------------------------------------------
extern PACKAGE TFilterDlg *FilterDlg;
//----------------------------------------------------------------------------
#endif    
