//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
USEFORM("Main.cpp", MainForm);
USEFORM("Bright.cpp", BrightDlg);
USEFORM("Filter.cpp", FilterDlg);
USEFORM("NewImage.cpp", NewImgDlg);
USEFORM("Rotate.cpp", RotateDlg);
USEFORM("Scale.cpp", ScaleDlg);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
        try
        {
                 Application->Initialize();
                 Application->CreateForm(__classid(TMainForm), &MainForm);
                 Application->CreateForm(__classid(TBrightDlg), &BrightDlg);
                 Application->CreateForm(__classid(TFilterDlg), &FilterDlg);
                 Application->CreateForm(__classid(TNewImgDlg), &NewImgDlg);
                 Application->CreateForm(__classid(TRotateDlg), &RotateDlg);
                 Application->CreateForm(__classid(TScaleDlg), &ScaleDlg);
                 Application->Run();
        }
        catch (Exception &exception)
        {
                 Application->ShowException(&exception);
        }
        return 0;
}
//---------------------------------------------------------------------------
